Pokemon Center | 口袋中心 以口袋妖怪为主题并带有其他动漫游戏的讨论

 找回密码
 加入口袋中心
搜索
查看: 221|回复: 1

armips v0.9.0 linux_x64 下载点 & linux下改版开发环境搭建

[复制链接]

3675

帖子

72

现金

367

勋章券

超级版主

Rank: 26Rank: 26Rank: 26Rank: 26Rank: 26Rank: 26

积分
17858
QQ

时光印记Lv.3挥金如土勋章水中王者勋章Lv3Omega红宝石发售确认纪念章Alpha蓝宝石发售确认纪念章金银好CP-Ho-oh/LUGIA【里】金银好CP-Ho-oh/LUGIA【真·正常向】异化型LUGIA【M超梦版】

发表于 2017-7-29 23:52:53 | 显示全部楼层 |阅读模式
本帖最后由 jiangzhengwenjz 于 2017-7-30 01:22 编辑

armips github page: https://github.com/Kingcom/armips

最近由于个人原因,很多东西都迁移到ubuntu上,windows反倒用的不是很多

对于armips,在win上通过VS加载源码中提供的.sln就可实现快速编译,或是在 http://buildbot.orphis.net/armips 下载编译好版本

linux下,必须通过cmake进行编译,且不提供官方release,因此我在这里提供一个自己编译的armips 0.9.0 64位版本下载,方便用linux的坛友:

游客,如果您要查看本帖隐藏内容请回复


简述如何搭建linux改版环境(devkitarm及armips):

1. 进入https://sourceforge.net/projects/devkitpro/ 并点绿色按钮等5s进行下载
2. 用tar命令解压
3. 移到你要的位置并把bin目录加到环境变量PATH,权限问题sudo解决
4. armips移到你要的位置并加到环境变量PATH,权限问题sudo解决
5. sudo reboot 重启
6. 测试:
terminal中输入armips,可看到:

输入arm-none-eabi-gcc -v,可看到:

即为环境变量修改正确
7. 测试编译:
https://github.com/jiangzhengwenjz/EV-IV-Screen-EM

将makefile中\全改为/或//避免系统差异造成的路径读取失败,之后make,可以成功编译生成test.gba:
回复

使用道具 举报

3675

帖子

72

现金

367

勋章券

超级版主

Rank: 26Rank: 26Rank: 26Rank: 26Rank: 26Rank: 26

积分
17858
QQ

时光印记Lv.3挥金如土勋章水中王者勋章Lv3Omega红宝石发售确认纪念章Alpha蓝宝石发售确认纪念章金银好CP-Ho-oh/LUGIA【里】金银好CP-Ho-oh/LUGIA【真·正常向】异化型LUGIA【M超梦版】

 楼主| 发表于 2017-7-30 21:32:16 | 显示全部楼层
2017.7.30 关于ubuntu下grit提示出错的问题

grit按理说在安装devkitarm时就已在path变量目录中,然而由于libstdc++的版本不够还是不能运行。
要解决此问题只需按以下顺序执行:
  1. sudo add-apt-repository ppa:ubuntu-toolchain-r/test
  2. sudo apt-get update
  3. sudo apt-get upgrade
  4. sudo apt-get install libstdc++6
复制代码
之后输入grit,便可得知c++库是否成功更新
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 加入口袋中心

本版积分规则

手机版|Archiver|Pokemon Center

GMT+8, 2017-10-19 08:06 , Processed in 0.117632 second(s), 25 queries , Eaccelerator On.

Powered by Discuz! X3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表